%global momorel 1
Name: libburn
Summary: libburn
Version: 0.6.0
Release: %{momorel}m%{?dist}
License: GPLv2
Group: User Interface/Desktops
Source0: http://files.libburnia-project.org/releases/%{name}-%{version}.pl01.tar.gz
NoSource: 0
URL: http://libburnia-project.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: intltool
BuildPrereq: pkgconfig

%description
libburn is the library by which preformatted data get onto optical
media.  It uses either /dev/sgN (e.g. on kernel 2.4 with ide-scsi) or
/dev/srM or /dev/hdX (e.g. on kernel 2.6).  libburn is the foundation
of our cdrecord emulation. Its code is independent of cdrecord. Its
DVD capabilities are learned from studying the code of dvd+rw-tools
and MMC-5 specs. No code but only the pure SCSI knowledge has been
taken from dvd+rw-tools, though.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q

%build
%configure --program-prefix=""
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING COPYRIGHT ChangeLog NEWS README
%{_bindir}/cdrskin
%{_libdir}/*.so.*
%exclude %{_libdir}/*.la
%{_mandir}/man1/cdrskin.1.*

%files devel
%defattr (-, root, root)
%{_includedir}/%{name}
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/libburn-1.pc

%changelog
* Wed Feb 11 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-1m)
- initial build
